///! User information
///!
///! @author Pierre Hubert

pub type UserID = i64;

#[derive(Debug, PartialEq)]
pub enum UserPageStatus {
    OPEN,
    PUBLIC,
    PRIVATE
}

#[derive(Debug)]
pub struct User {
    pub id: UserID,
    pub email: String,
    pub password: String,
    pub first_name: String,
    pub last_name: String,
    pub status: UserPageStatus
}